| Home | Libraries | People | FAQ | More

## Struct template immediate_mean_impl

boost::accumulators::impl::immediate_mean_impl

## Synopsis

    // In header: <boost/accumulators/statistics/mean.hpp>

    template<typename Sample, typename Tag>
    struct immediate_mean_impl {
      // types
      typedef numeric::functional::average< Sample, std::size_t >::result_type result_type;

      // construct/copy/destruct
      template<typename Args> immediate_mean_impl(Args const &);

      // public member functions
      template<typename Args> void operator()(Args const &) ;
      result_type result(dont_care) const;
    };

## Description

### `immediate_mean_impl` public construct/copy/destruct

1.     template<typename Args> immediate_mean_impl(Args const & args);

### `immediate_mean_impl` public member functions

1.     template<typename Args> void operator()(Args const & args) ;

2.     result_type result(dont_care) const;